Run ML Rule Balancing

Retrieves Rule Balancing data for a particular POV for a given application.

Required Roles

Service Administrator, Power User

REST Resource

GET /epm/rest/{api_version}/applications/{application}/povs/{povGroupMember}/ruleBalance

Request

Supported Media Types: application/json

The following table summarizes the client request.

Table 10-37 Parameters

Name Description Type Required Default
api_version Version of the API you are developing with Path Yes None
application Name of the application for which to retrieve rule balancing data Path Yes None
povGroupMember POV name for which to retrieve the results, such as 2015_January_Actual Path Yes None
modelViewName Model view name to filter the results within the POV area Query Yes None
stringDelimiter String delimiter for POV group members, such as "_" Query No Underscore, "_"

Example URL and Sample Query Parameter

https://<BASE-URL>/epm/rest/{api_version}/applications/{application}/povs/{povGroupMembers}/ruleBalance?queryParameter={"modelViewName":"modelViewName"}

Response

Supported Media Types: application/json

Table 10-38 Parameters

Name Description
details

Rule balancing output for the given POV

status See Migration Status Codes
statusMessage Message about the status, such as Success
type Profitability
data Parameters as key value pairs
links Detailed information about the link
href Links to API call
action The HTTP call type
rel Relationship type
data Parameters as key value pairs passed in the request

Example of Response Body

The following shows an example of the response body in JSON format.

"items": [{
      "ruleNumber": "",
      "rules": [],
      "balanceTypeRule": true,
      "scale": 2,
      "sequence": 0,
      "name": "NoRule",
      "description": null,
      "runningBalance": 49357098.03,
      "balance": 49357098.03,
      "allocationIn": null,
      "allocationOut": null,
      "adjustmentIn": null,
      "adjustmentOut": null,
      "input": 49357098.03,
      "runningRemainder": 49357098.03,
      "remainder": 49357098.03,
      "netChange": null,
      "offset": null,
      "inputAsString": "49,357,098.03",
      "adjInAsString": "-",
      "adjOutAsString": "-",
      "allocInAsString": "-",
      "allocOutAsString": "-",
      "balanceAsString": "49,357,098.03",
      "runningBalanceAsString": "49,357,098.03",
      "runningRemainderAsString": "49,357,098.03",
      "remainderAsString": "49,357,098.03",
      "netChangeAsString": "-",
      "offsetAsString": "-"
    },    
  ],
  "type": "Profitability",
"status": 0,
  "details": "",
  "statusMessage": "Success"
}